Attributes
Attributes to segment and filter units by
The attribute object
Attributes
iduuidUnique identifier
created_atread-onlytimestamp with time zoneCreation timestamp
nameMultiLanguageStringLocalized name of the attribute
orderintegerOrder of the attribute as displayed on widgets and websites
typeAttributeTypeType of the attribute: single-select or multi-select
Related resources
Embed related resources in the response with the select parameter, for example select=*,organizations(*). Resources related through more than one column need the column as a hint, like table!column(*).
attribute_options(*)arrayThe attribute options referencing this attribute through attribute_options.attribute_id.
{
"id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:27:57.051Z",
"name": {},
"order": 1,
"type": "single-select"
}curl -X GET "https://api.bookingmood.com/v1/attributes?limit=10&select=*,organizations(*),attribute_options(*)" \
-H "Authorization: Bearer YOUR_API_KEY"List attributes
Filters
idFilter<uuid>Unique identifier
organization_idFilter<uuid>Identifier of the organization this attribute is defined in
created_atFilter<timestamp with time zone>Creation timestamp
nameFilter<MultiLanguageString>Localized name of the attribute
orderFilter<integer>Order of the attribute as displayed on widgets and websites
typeFilter<AttributeType>Type of the attribute: single-select or multi-select
Responses
200A list of attributes with the selected columns
206Partial Content
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
code, message, details and hint. See the introduction for more on errors.GET /attributescurl -X GET "https://api.bookingmood.com/v1/attributes?select=*&limit=10" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:27:57.051Z",
"name": {},
"order": 1,
"type": "single-select"
}
]Create attributes
Body
Partial<Attribute> | Array<Partial<Attribute>>Read-only attributes are set by the database and can't be written.
Responses
201The newly created attributes with the selected columns
400The request is malformed, for example an unknown column, an invalid filter or an invalid body.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
409The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.
code, message, details and hint. See the introduction for more on errors.POST /attributescurl -X POST "https://api.bookingmood.com/v1/attributes" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": {},
"order": 1,
"organization_id": "00000000-0000-0000-0000-000000000000",
"type": "single-select"
}'[
{
"id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:27:57.051Z",
"name": {},
"order": 1,
"type": "single-select"
}
]Delete attributes
Filters
Without filters, this request deletes all attributes you have access to. Always filter on at least one column, e.g. id=eq.{id}.
idFilter<uuid>Unique identifier
organization_idFilter<uuid>Identifier of the organization this attribute is defined in
created_atFilter<timestamp with time zone>Creation timestamp
nameFilter<MultiLanguageString>Localized name of the attribute
orderFilter<integer>Order of the attribute as displayed on widgets and websites
typeFilter<AttributeType>Type of the attribute: single-select or multi-select
Responses
200The deleted attributes with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
code, message, details and hint. See the introduction for more on errors.DELETE /attributescurl -X DELETE "https://api.bookingmood.com/v1/attributes?id=eq.00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:27:57.051Z",
"name": {},
"order": 1,
"type": "single-select"
}
]Update attributes
Filters
Without filters, this request updates all attributes you have access to. Always filter on at least one column, e.g. id=eq.{id}.
idFilter<uuid>Unique identifier
organization_idFilter<uuid>Identifier of the organization this attribute is defined in
created_atFilter<timestamp with time zone>Creation timestamp
nameFilter<MultiLanguageString>Localized name of the attribute
orderFilter<integer>Order of the attribute as displayed on widgets and websites
typeFilter<AttributeType>Type of the attribute: single-select or multi-select
Body
Partial<Attribute>Read-only attributes are set by the database and can't be written.
Responses
200The updated attributes with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.
400The request is malformed, for example an unknown column, an invalid filter or an invalid body.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
409The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.
code, message, details and hint. See the introduction for more on errors.PATCH /attributescurl -X PATCH "https://api.bookingmood.com/v1/attributes?id=eq.00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": {}
}'[
{
"id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:27:57.051Z",
"name": {},
"order": 1,
"type": "single-select"
}
]